file_writer {curl} | R Documentation

## File Writer

### Description

Generates a closure that writes binary (raw) data to a file.

### Usage

    file_writer(path)

### Arguments

`path` | file name or path on disk

### Details

The writer function automatically opens the file on the first write and closes when it goes out of scope, or explicitly by setting `close = TRUE`. This can be used for the `data` callback in `multi_add()` or `curl_fetch_multi()`.

### Value

Function with signature `writer(data = raw(), close = FALSE)`

### Examples

    # Doesn't open yet
    tmp <- tempfile()
    writer <- file_writer(tmp)

    # Now it opens
    writer(charToRaw("Hello!\n"))
    writer(charToRaw("How are you?\n"))

    # Close it!
    writer(charToRaw("All done!\n"), close = TRUE)

    # Check it worked
    readLines(tmp)

[Package curl version 3.3 Index]